OtherMappingSystemsEnum (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.externalsystem

## Enum OtherMappingSystemsEnum

- java.lang.Object
- - java.lang.Enum<OtherMappingSystemsEnum>
  - - org.gcube.portlets.user.speciesdiscovery.client.externalsystem.OtherMappingSystemsEnum

- All Implemented Interfaces:
    Serializable, Comparable<OtherMappingSystemsEnum>, ExternalSystemInterface

      public enum OtherMappingSystemsEnum
      extends Enum<OtherMappingSystemsEnum>
      implements ExternalSystemInterface

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISCOVERLIFE`
    `GBIF`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseUrl()`
    `String` | `getName()`
    `String` | `getSuffixUrl()`
    `static OtherMappingSystemsEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OtherMappingSystemsEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GBIF

          public static final OtherMappingSystemsEnum GBIF

    - #### DISCOVERLIFE

          public static final OtherMappingSystemsEnum DISCOVERLIFE

  - ### Method Detail

    - #### values

          public static OtherMappingSystemsEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OtherMappingSystemsEnum c : OtherMappingSystemsEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OtherMappingSystemsEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `ExternalSystemInterface`

    - #### getBaseUrl

          public String getBaseUrl()

      Specified by:
        `getBaseUrl` in interface `ExternalSystemInterface`

    - #### getSuffixUrl

          public String getSuffixUrl()

      Specified by:
        `getSuffixUrl` in interface `ExternalSystemInterface`

Copyright © 2013. All Rights Reserved.